Unit Score;

INTERFACE

Uses Opslag,Mode;

Type Score_Type  = (Pil,Power);

Type TScoreBoard = Array[1..3,1..SCREEN_X] Of Word;
Var  SBoard      : TScoreboard;

Var  Test_Score  : LongInt;


{Procedure ReadScoreDAT;}
Procedure PutScoreBoard;
Procedure ScoreOpNul;
Procedure UpDateScore(SType : Score_Type);

IMPLEMENTATION

(*
Procedure ReadScoreDAT;
Var F     : File;
Begin
  Assign(F,'SCORE.DAT');
  Reset(F,1);
  BlockRead(F,SBoard,SizeOf(TScoreboard));
  Close(F);
End;
*)

Procedure PutScoreBoard;
Var Use   : _SprBuf_;
    Y,X,I : Word;
Begin
  For Y := 0 To 2 Do Begin
    For X := 0 To SCREEN_X-1 Do Begin
      I := SBoard[Y+1,X+1];
      GetSprite(I,Use);
      TDraw_BitMap(Use,(X*SPRITE_X)+MOVE_X,(Y*SPRITE_Y),SPRITE_X,SPRITE_Y);
    End;
  End;
End;

Procedure SchrijfString(X,Y : Word; S : String);
Var C : Byte;
Begin
  For C := 1 To Length(S) Do Begin
    Draw_Bitmap(FRec[Ord(S[C])]^,X,Y,8,8);
    Inc(X,8);
  End;
End;

Function  ToStrMax(I : LongInt; M : Byte; C : Char) : String;
Var TS : String;
Begin
  Str(I,TS);
  While (Length(TS) < M) Do TS := C + TS;
  ToStrMax := TS;
End;

Procedure ScoreOpNul;
Begin
  SchrijfString( 38,8,ToStrMax(Test_Score,7,#48));
  {SchrijfString(110,8,ToStrMax(Test_Score,7,#48));}
End;

Procedure UpDateScore;
Begin
  If (SType = Pil) Then Inc(Test_Score,10);
  If (SType = Power) Then Inc(Test_Score,100);
End;

Begin
  Test_Score := 0;
End.