{$G+}
Program AniGame;

Uses Dos,Crt,Animate;

Const
 Leeg       = 0;
 Key        = 40;
 Trap       = 60;
 Deur       = 80;
 Vijand     : Set Of Byte = [20..39];                     { 20..39            }
 Opeten     : Set Of Byte = [Key,41..59];                 { 40..59,GEM        }
 BovenOnder : Set Of Byte = [Trap];                       { 60..79            }
 Uitgang    : Set Of Byte = [Deur];                       { 80..99            }
 DoorLopen  : Set Of Byte = [0,1,Deur,Trap,Key,41..65];   { ALIEN & GOZER     }
 Stoppen    : Set Of Byte = [Deur];                       { VERPLICHT STOPPEN }
 Opbouw     : Set Of Byte = [60..120,Trap,Deur,Leeg];     { BEELD OPBOUW      }

Var   Screen  : _ScreenDef;
      STOP    : Boolean;
Begin
  ClrScr;
  ReadScreen('SCR36X21.SCR',100);
  ReadFont('FONT8X8.FNT',200);
  ReadSprite('SPR10X10.SPR',200);
  ReadPalette('PRIME.PAL');
  { Lees de sprites,Screens,fonts en Palette in geheugen           }

  Game_Init;
  { Zet 360X240 MODE AAN!                                          }

  GetScreen(Screen,1);
  { Haal Beeld 1 naar variabele Screen                             }

  { Init-Screen, en zet op Beeld                                   }
  Init_Screen(Screen,     { Screen  = Zie GetScreen;               }
              Doorlopen,
              Opeten,
              Opbouw,
              Vijand,
              BovenOnder,
              Stoppen,
              Uitgang,
              0,30);
  { Doorlopen  = Waar kan ik doorheen lopen, geen muren natuurlijk! }
  { Opeten     = Wat kan ik allemaal opeten voor de punten          }
  { Opbouw     = Alles wat direct op beeld moet worden gezet        }
  { Vijand     =                                                    }
  { BovenOnder = Voor het naar onder of boven lopen                 }
  { Stoppen    = Verplicht stoppen                                  }
  { Uitgang    = Naar ander speelveld [range 1..9]                  }
  { 0,30       = X,Y Beeld Coordinaat.                              }

  STOP := False;
  Repeat
    Start_Animate(STOP);
  Until STOP = True;
  Game_Stop;
End.
