Procedure LetterWeg(R,Y,X : Byte);
Begin
  Set_Active_Page(2);
  Inc(HiScoreRec.Score[11],250*SCREEN_NR);
  Draw_Bitmap(SpriteRec[Leeg]^.Buffer,X*B-15+SCR_STR_X,Y*H-15+SCR_STR_Y,B,H);
  Set_Active_Page(CurrentPage);
  Inc(WoordTel);
  ScreenOnes.Buffer[Y,X] := 0;
  Sound2(500);
End;

Procedure CheckLetter(Y,X : Byte);
Var W : Byte;
Begin
  If (X > 1) And (Y > 1) And
      (X < SCR_X) And (Y < SCR_Y) Then Begin
    W := ScreenOnes.Buffer[Y,X];
    {Check}
    If W In [101..126] Then Begin
      If (W-36) = Ord(Woord[SCREEN_NR][WoordTel]) Then Begin
        LetterWeg(W,Y,X);
      End;
    End;
  End;
End;

Function CheckDiskMan(Y,X : Byte) : Boolean;
Begin
  If (X = 0) Or
      (Y = 0) Or
       (X > SCR_X) Or
        (Y > SCR_Y) Then CheckDiskMan := False Else
          CheckDiskMan := (X In [1..SCR_X]) And (Y In [1..SCR_Y]) And
            (ScreenOnes.Buffer[Y,X] In DOORLOPEN);
End;

Procedure ResetRichting(VAR AU : Boolean);
Begin
  DiskLaatste := 0;
  AU := FALSE;
  If (LINKS = FALSE) AND (RECHTS = FALSE) AND
      (BOVEN = FALSE) AND (ONDER = FALSE) Then BufToDMan(DMStil);
End;

Procedure Init_Links;
Var I : Byte;
Begin
  LinksRechts := DM_Links;
  DiskLaatste := DM_Links;
  DiskManBits := 0;
  RECHTS := False;
  BOVEN := False;
  ONDER := False;
  BufToDMan(DMLinks1);
End;

Procedure Init_Rechts;
Var I : Byte;
Begin
  LinksRechts := DM_Rechts;
  DiskLaatste := DM_Rechts;
  DiskManBits := 0;
  LINKS := False;
  BOVEN := False;
  ONDER := False;
  BufToDMan(DMRechts1);
End;

Procedure Init_Boven;
Begin
  DiskLaatste := DM_Boven;
  DiskManBits := 0;
  LINKS := False;
  RECHTS := False;
  ONDER := False;
End;

Procedure Init_Onder;
Begin
  DiskLaatste := DM_Onder;
  DiskManBits := 0;
  LINKS := False;
  RECHTS := False;
  BOVEN := False;
End;

Procedure AnimatieBovenOnder;
Begin
  If LinksRechts = DM_Rechts Then
    If (Animatie=0) Then BufToDMan(DMRechts1) Else BufToDMan(DMRechts2)
  Else If (Animatie=0) Then BufToDMan(DMLinks1) Else BufToDMan(DMLinks2);
End;

Procedure HaalWeg(Y,X : Byte);
Var I        : Integer;
Begin
  If (DiskManBits = 0) Then Begin
    If (ScreenOnes.Buffer[Y,X] In [71,72]) Then Begin
      Set_Active_Page(2);
      Inc(HiScoreRec.Score[11],(SCREEN_NR*5));
      Draw_Bitmap(SpriteRec[Leeg]^.Buffer,X*B-15+SCR_STR_X,Y*H-15+SCR_STR_Y,B,H);
      Set_Active_Page(CurrentPage);
      Dec(AllesOpGegeten);
      ScreenOnes.Buffer[Y,X] := 0;
      Sound2(250);
    End;
  End;
End;

Procedure BeweegDiskMan;
Var I,W       : Byte;
    DoodCheck : Byte;
    YCheck,
    XCheck    : Byte;
Begin
  If (DOODLOOP = FALSE) And
      (DO_NOT_MOVE = FALSE) Then Begin

    If (LINKS) And (DiskMan.XRow = 1) And (DiskManBits = 0) Then TRANSHORL1 := TRUE;
    If (RECHTS) And (DiskMan.XRow = SCR_X) And (DiskManBits = 0)Then TRANSHORR1 := TRUE;
    If (BOVEN) And (DiskMan.YRow = 1) And (DiskManBits = 0) Then TRANSVERB1 := TRUE;
    If (ONDER) And (DiskMan.YRow = SCR_Y) And (DiskManBits = 0) Then TRANSVERO1 := TRUE;
    If (TRANSHORL1) Or (TRANSHORR1) Or (TRANSVERB1) Or (TRANSVERO1) Then PlayAdLib(Zijkant,18);

    HaalWeg(DiskMan.YRow,DiskMan.XRow);
    If ((LINKS = TRUE) And (DiskManBits = 0)) Or (DiskLaatste = DM_Links) Then Begin
       If CheckDiskMan(DiskMan.YRow,DiskMan.XRow-1) Then Begin
         If DiskLaatste <> DM_Links Then Init_Links;
         Dec(DiskMan.XPos,BITS);
         Inc(DiskManBits,BITS);
         If (DiskManBits = B) Then Begin
           DiskManBits := 0;
           Dec(DiskMan.XRow,1);
         End;
         If (Animatie=0) Then BufToDMan(DMLinks1) Else BufToDMan(DMLinks2);
       End Else ResetRichting(LINKS);
    End;

    HaalWeg(DiskMan.YRow,DiskMan.XRow);
    If ((RECHTS = TRUE) And (DiskManBits = 0)) Or (DiskLaatste = DM_Rechts) Then Begin
       If CheckDiskMan(DiskMan.YRow,DiskMan.XRow+1) Then Begin
         If DiskLaatste <> DM_Rechts Then Init_Rechts;
         Inc(DiskMan.XPos,BITS);
         Inc(DiskManBits,BITS);
         If (DiskManBits = B) Then Begin
           DiskManBits := 0;
           Inc(DiskMan.XRow);
         End;
         If (Animatie=0) Then BufToDMan(DMRechts1) Else BufToDMan(DMRechts2);
       End Else ResetRichting(RECHTS);
    End;

    HaalWeg(DiskMan.YRow,DiskMan.XRow);
    If ((ONDER = TRUE) And (DiskManBits = 0)) Or (DiskLaatste = DM_Onder) Then Begin
       If CheckDiskMan(DiskMan.YRow+1,DiskMan.XRow) Then Begin
         If DiskLaatste <> DM_Onder Then Init_Onder;
         Inc(DiskMan.YPos,BITS);
         Inc(DiskManBits,BITS);
         If (DiskManBits = B) Then Begin
           DiskManBits := 0;
           Inc(DiskMan.YRow);
         End;
         AnimatieBovenOnder;
       End Else ResetRichting(ONDER);
    End;

    HaalWeg(DiskMan.YRow,DiskMan.XRow);
    If ((BOVEN = TRUE) And (DiskManBits = 0)) Or (DiskLaatste = DM_Boven) Then Begin
       If CheckDiskMan(DiskMan.YRow-1,DiskMan.XRow) Then Begin
         If DiskLaatste <> DM_Boven Then Init_Boven;
         Dec(DiskMan.YPos,BITS);
         Inc(DiskManBits,BITS);
         If (DiskManBits = B) Then Begin
           DiskManBits := 0;
           Dec(DiskMan.YRow,1);
         End;
         AnimatieBovenOnder;
       End Else ResetRichting(BOVEN);
    End;
    CheckLetter(DiskMan.YRow,DiskMan.XRow);
  End;

  {CHECK DOOD}
  If (DOODLOOP = FALSE) And (DO_NOT_MOVE = FALSE) Then Begin
    For DoodCheck := 1 To VijandAantal Do Begin
      If (Vijand[DoodCheck].Active = TRUE) Then
        If (DiskMan.XRow = Vijand[DoodCheck].XRow) And
            (DiskMan.YRow = Vijand[DoodCheck].YRow) Then Begin
              DOODLOOP := TRUE;
              PlayAdLib(IkGaDood,58);
        End;
    End;
  End;

  {ANIMATIE DISKMAN EN VIJAND}
  If TijdTeller > 3 Then Begin
    Animatie := (Animatie+1) MOD 2;
    TijdTeller := 0;
  End;

End;
