Function CheckVijand(W,Y,X : Byte) : Boolean;
Var I : Byte;
Begin
  CheckVijand := (X In [2..SCR_X-1]) And (Y In [2..SCR_Y-1]) And
      (ScreenOnes.Buffer[Y,X] In DOORLOPEN);
End;

Function IMM : Boolean;
Begin
  IMM := RANDOM(IMMFactor) = 0;
End;

Function BovenOfOnder(W : Byte) : Byte;
Begin
  If IMM Then Begin
    If (Vijand[W].YRow > DiskMan.YRow) Then
      BovenOfOnder := DM_Boven Else BovenOfOnder := DM_Onder;
  End Else
    If RANDOM(2) = 0 Then BovenOfOnder := DM_Onder Else BovenOfOnder := DM_Boven;
End;


Function LinksOfRechts(W : Byte) : Byte;
Begin
  If IMM Then Begin
    If (Vijand[W].XRow > DiskMan.XRow) Then
      LinksOfRechts := DM_Links Else LinksOfRechts := DM_Rechts;
  End Else
    If RANDOM(2) = 0 Then LinksOfRechts := DM_Links Else LinksOfRechts := DM_Rechts;
End;

Procedure BerekenDIR(W,X,Y : Byte);
Var DD : Byte;
Begin
  CASE Kijk[W] Of
      DM_Boven,DM_Onder :
      Begin
        If (CheckVijand(W,Y-1,X) And (Kijk[W] = DM_Boven)) Or
          (CheckVijand(W,Y+1,X) And (Kijk[W] = DM_Onder)) Then
        Begin
          DD := LinksOfRechts(W);
          If (CheckVijand(W,Y,X-1) And (DD = DM_Links)) Then Kijk[W] := DM_Links
          Else If (CheckVijand(W,Y,X+1) And (DD = DM_Rechts)) Then Kijk[W] := DM_Rechts;
        End Else Begin
          If (CheckVijand(W,Y,X-1) And CheckVijand(W,Y,X+1)) Then Kijk[W] := LinksOfRechts(W)
          Else If CheckVijand(W,Y,X-1) Then Kijk[W] := DM_Links
          Else If CheckVijand(W,Y,X+1) Then Kijk[W] := DM_Rechts
          Else If Kijk[W] = DM_Boven Then Kijk[W] := DM_Onder Else Kijk[W] := DM_Boven;
        End
      End;
      DM_Links,DM_Rechts :
      Begin
        If (CheckVijand(W,Y,X+1) And (Kijk[W] = DM_Rechts)) Or
          (CheckVijand(W,Y,X-1) And (Kijk[W] = DM_Links)) Then
        Begin
          DD := BovenOfOnder(W);
          If (CheckVijand(W,Y-1,X) And (DD = DM_Boven)) Then Kijk[W] := DM_Boven
          Else If (CheckVijand(W,Y+1,X) And (DD = DM_Onder)) Then Kijk[W] := DM_Onder;
        End Else Begin
          If (CheckVijand(W,Y-1,X) And CheckVijand(W,Y+1,X)) Then Kijk[W] := BovenOfOnder(W)
          Else If CheckVijand(W,Y-1,X) Then Kijk[W] := DM_Boven
          Else If CheckVijand(W,Y+1,X) Then Kijk[W] := DM_Onder
          Else If Kijk[W] = DM_Rechts Then Kijk[W] := DM_Links Else Kijk[W] := DM_Rechts;
        End
      End
    ELSE
      If CheckVijand(W,Y,X-1) Then Kijk[W] := DM_Links Else
       If CheckVijand(W,Y,X+1) Then Kijk[W] := DM_Rechts Else
        If CheckVijand(W,Y-1,X) Then Kijk[W] := DM_Boven Else
         If CheckVijand(W,Y+1,X) Then Kijk[W] := DM_Onder Else
          Kijk[W] := 0;
  END;
End;

Procedure Beweeg_Alien(W : Byte);
Var DoodCheck : Byte;
Begin

  If (Kijk[W] = DM_Links) Then Begin
    If AlienLaatste[W] <> DM_Links Then Begin
      AlienLaatste[W] := DM_Links;
      AlienLOrR[W]:= DM_Links;
      AlienBits[W] := 0;
    End;
    Dec(Vijand[W].XPos,BITS);
    Inc(AlienBits[W],BITS);
    If (AlienBits[W] = B) Then Begin
      AlienBits[W] := 0;
      Dec(Vijand[W].XRow,1);
    End;
  End;

  If (Kijk[W] = DM_Rechts) Then Begin
    If AlienLaatste[W] <> DM_Rechts Then Begin
      AlienLaatste[W] := DM_Rechts;
      AlienLOrR[W] := DM_Rechts;
      AlienBits[W] := 0;
    End;
    Inc(Vijand[W].XPos,BITS);
    Inc(AlienBits[W],BITS);
    If (AlienBits[W] = B) Then Begin
      AlienBits[W] := 0;
      Inc(Vijand[W].XRow,1);
    End;
  End;

  If (Kijk[W] = DM_Onder) Then Begin
    If AlienLaatste[W] <> DM_Onder Then Begin
      AlienLaatste[W] := DM_Onder;
      AlienBits[W] := 0;
    End;
    Inc(Vijand[W].YPos,BITS);
    Inc(AlienBits[W],BITS);
    If (AlienBits[W] = B) Then Begin
      AlienBits[W] := 0;
      Inc(Vijand[W].YRow,1);
    End;
  End;

  If (Kijk[W] = DM_Boven) Then Begin
    If AlienLaatste[W] <> DM_Boven Then Begin
      AlienLaatste[W] := DM_Boven;
      AlienBits[W] := 0;
    End;
    Dec(Vijand[W].YPos,BITS);
    Inc(AlienBits[W],BITS);
    If (AlienBits[W] = B) Then Begin
      AlienBits[W] := 0;
      Dec(Vijand[W].YRow,1);
    End;
  End;

  {CHECK DOOD}
  If (DOODLOOP = FALSE) And (DO_NOT_MOVE = FALSE) Then Begin
    For DoodCheck := 1 To VijandAantal Do Begin
      If (Vijand[DoodCheck].Active = TRUE) Then
        If (DiskMan.XRow = Vijand[DoodCheck].XRow) And
            (DiskMan.YRow = Vijand[DoodCheck].YRow) Then Begin
              DOODLOOP := TRUE;
              PlayAdLib(IkGaDood,58);
        End;
    End;
  End;

  {NIEUWE ANIMATIE}
  If (Animatie=0) Then BufToVijand(W,AlienShape[W])
  Else BufToVijand(W,AlienShape[W]+1);

  {NIEUWE RICHTING}
  If (AlienBits[W] = 0) Then BerekenDIR(W,Vijand[W].XRow,Vijand[W].YRow);
End;

Procedure BeweegVijand;
Var I : Byte;
Begin
  For I := 1 To VijandAantal Do If VijandTrue[I] Then Beweeg_Alien(I);
End;
