Unit Toetsen;

INTERFACE

Uses DOS,Sprite;

Type Beweeg_Mode = (STIL,RECHTS,LINKS,ONDER,BOVEN);

Var  SPATIE,ESC    : Boolean;
     P             : Byte;
     Spel_Richting : Beweeg_Mode;
     Laatste       : Beweeg_Mode;

Procedure HaalToetsen(VAR Keuze : OBJSprite);

IMPLEMENTATION

Uses Screen,Def,Opslag;

Procedure Haaltoetsen;
Var Reg  : Registers;
    XRow : Word;
    YRow : Word;

  Function Ok_Boven : Boolean;
  Begin
    If Keuze.OK_Up = True Then Begin
      If (Keuze.Bits_Einde <> 0) Then OK_Boven := False Else Begin
        Ok_Boven := GetScr(YRow-1,XRow) < MUREN;
        If (Laatste = BOVEN) Then OK_Boven := False;
      End;
    End Else Ok_Boven := False;
  End;

  Function Ok_Onder : Boolean;
  Begin
    If Keuze.OK_Down = True Then Begin
      If (Keuze.Bits_Einde <> 0) Then OK_Onder := False Else Begin
        Ok_Onder := GetScr(YRow+1,XRow) < MUREN;
        If (Laatste = ONDER) Then OK_Onder := False;
      End;
    End Else Ok_Onder := False;
  End;

  Function Ok_Links : Boolean;
  Begin
    If Keuze.OK_Left = True Then Begin
      If (Keuze.Bits_Einde <> 0) Then OK_Links := False Else Begin
        Ok_Links := GetScr(YRow,XRow-1) < MUREN;
        If (Laatste = LINKS) Then OK_Links := False;
      End;
    End Else Ok_Links := False;
  End;

  Function Ok_Rechts : Boolean;
  Begin
    If Keuze.OK_Right = True Then Begin
      If (Keuze.Bits_Einde <> 0) Then OK_Rechts := False Else Begin
        Ok_Rechts := GetScr(YRow,XRow+1) < MUREN;
        If (Laatste = RECHTS) Then OK_Rechts := False;
      End;
    End Else OK_Rechts := False;
  End;

Begin
  XRow := Keuze.Data.XRow;
  YRow := Keuze.Data.YRow;

  SPATIE := False;
  ESC    := False;

  P := Port[$60];
  If (P = 77) And (OK_Rechts) Then Spel_Richting := RECHTS Else
   If (P = 75)And (OK_Links) Then Spel_Richting := LINKS Else
    If (P = 72) And (OK_Boven) Then Spel_Richting := BOVEN Else
     If (P = 80) And (OK_Onder) Then Spel_Richting := ONDER;

  If (P = 57) Then SPATIE := TRUE;
  If (P = 1) Then ESC := TRUE;

  Laatste := Spel_Richting;
  Reg.AX := $C00;
  MsDos(Reg);
End;

Begin
  Spel_Richting := STIL;
End.