Procedure SetAlienRichting;

  Procedure SetA(Spr : Byte);
  Begin
    If (Alien[Spr].Mode In [Wachten,NaarDeur,Aanvallen]) Then Begin
      If (Alien[Spr].IMG.Bits_Richting = _Left) Then Alien[Spr].IMG.Pic(AAN_Links[Spr]);
      If (Alien[Spr].IMG.Bits_Richting = _Right) Then Alien[Spr].IMG.Pic(AAN_Rechts[Spr]);
      If (Alien[Spr].IMG.Bits_Richting = _Up) Then Alien[Spr].IMG.Pic(AAN_Boven[Spr]);
      If (Alien[Spr].IMG.Bits_Richting = _Down) Then Alien[Spr].IMG.Pic(AAN_Onder[Spr]);
    End;
    If (Alien[Spr].Mode = WegLopen) Then Begin
      If (Alien[Spr].IMG.Bits_Richting = _Left) Then Alien[Spr].IMG.Pic(AAW_Links[Spr]);
      If (Alien[Spr].IMG.Bits_Richting = _Right) Then Alien[Spr].IMG.Pic(AAW_Rechts[Spr]);
      If (Alien[Spr].IMG.Bits_Richting = _Up) Then Alien[Spr].IMG.Pic(AAW_Boven[Spr]);
      If (Alien[Spr].IMG.Bits_Richting = _Down) Then Alien[Spr].IMG.Pic(AAW_Onder[Spr]);
    End;
    If (Alien[Spr].Mode = Dood) Then Begin
      If (Alien[Spr].IMG.Bits_Richting = _Left) Then Alien[Spr].IMG.Pic(AAD_Links[Spr]);
      If (Alien[Spr].IMG.Bits_Richting = _Right) Then Alien[Spr].IMG.Pic(AAD_Rechts[Spr]);
      If (Alien[Spr].IMG.Bits_Richting = _Up) Then Alien[Spr].IMG.Pic(AAD_Boven[Spr]);
      If (Alien[Spr].IMG.Bits_Richting = _Down) Then Alien[Spr].IMG.Pic(AAD_Onder[Spr]);
    End;
  End;

Begin
  SetA(1);
  SetA(2);
  SetA(3);
  SetA(4);
End;

Procedure VijandMove;

  Procedure CheckMode(Spr : Byte);
  Begin
    {Start/Na Dood Spel}
    If Alien[Spr].Mode = Wachten Then Begin
      Alien[Spr].IMG.SetIMM(0);
      Alien[Spr].IMG.SetHunt(True);
      Alien[Spr].IMG.SetSpeed(AlienSpeed);
      Alien[Spr].IMG.Move(Centrum);
    End;
    {Beweeg Richting Opening}
    If Alien[Spr].Mode = NaarDeur Then Begin
      Alien[Spr].IMG.SetIMM(0);
      Alien[Spr].IMG.SetHunt(True);
      Alien[Spr].IMG.SetSpeed(AlienSpeed);
      Alien[Spr].IMG.Move(Deur);
    End;
    {Na Opening, Naar Vriend}
    If Alien[Spr].Mode = Aanvallen Then Begin
      Alien[Spr].IMG.SetIMM(Spr);
      Alien[Spr].IMG.SetHunt(True);
      Alien[Spr].IMG.SetSpeed(AlienSpeed);
      Alien[Spr].IMG.Move(Vriend.IMG);
    End;
    {Weglopen Jongens}
    If Alien[Spr].Mode = Weglopen Then Begin
      Alien[Spr].IMG.SetIMM(0);
      Alien[Spr].IMG.SetHunt(False);
      Alien[Spr].IMG.SetSpeed(AlienSpeed);
      Alien[Spr].IMG.Move(Vriend.IMG);
    End;
    {Te (Dood) Laat, Naar Huis Terug}
    If Alien[Spr].Mode = Dood Then Begin
      Alien[Spr].IMG.SetIMM(0);
      Alien[Spr].IMG.SetHunt(True);
      Alien[Spr].IMG.SetSpeed(1);
      Alien[Spr].IMG.Move(Deur);
    End;
    {Na Onze Dood Wandeling, Of Opnieuw}
    If (Alien[Spr].IMG.CheckDead(Deur) = True) Then Begin
       If (Alien[Spr].Mode = Dood) Then Alien[Spr].Mode := Wachten Else
        If (Alien[Spr].Mode = NaarDeur) Then Alien[Spr].Mode := Aanvallen;
    End;
    {Kijk Naar Vriend, Indien Weer Normaal, Alien Aanvallen}
    If (Alien[Spr].Mode = WegLopen) And (Vriend.Mode = WegLopen)
      Then Alien[Spr].Mode := Aanvallen;
  End;

  Function NDeurControle(Spr : Byte) : Boolean;
  Begin
    NDeurControle := False;
    If (Alien[Spr].Mode = Wachten)
      And (Vriend.Mode = WegLopen) Then NDeurControle := True;
  End;

Begin
  CheckMode(1);
  CheckMode(2);
  CheckMode(3);
  CheckMode(4);

  {Controle Wacht --> Aanval Mode}
  If (_AlienTeller > WACHTEN_ALIEN) Then Begin
    If (NDeurControle(1) = True) Then Alien[1].Mode := NaarDeur Else
      If (NDeurControle(2) = True) Then Alien[2].Mode := NaarDeur Else
        If (NDeurControle(3) = True) Then Alien[3].Mode := NaarDeur Else
          If (NDeurControle(4) = True) Then Alien[4].Mode := NaarDeur;
   _AlienTeller := 0;
  End;
End;

Procedure CheckBotsing;

  Procedure Botsing(Spr : Byte);
  Begin
    If Alien[Spr].IMG.CheckDead(Vriend.IMG) = True Then Begin
      If (Alien[Spr].Mode = Weglopen) Then Alien[Spr].Mode := Dood;
    End;
  End;

Begin
  Botsing(1);
  Botsing(2);
  Botsing(3);
  Botsing(4);
End;
